EDIT - bug #7472

lazy loading exception for MAN with type specimen
06/13/2018 12:53 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.1

Severity: critical Found in Version:

Description

mail WB:

bei N. sumatrana in der Flora Malesiana Concepts Klassifikation wollte ich das (falsche) p.p. Synonym Nepenthes treubiana Warb. in
ein (letzlich pp.) MAN umwandeln, dabei folgender Fehler.

Das wird auch nicht gespeichert.

Das scheint der schon gestern gemeldete Fehler zu sein, tritt auch beim Nachtragen einer sensu Referenz bei N. boschiana unter N.
sumatrana in der Nepenthes Klassifikation auf (unten).

Das ist leider ein ganzer Block von Korrekturen, die ich eigentlich machen misste, bevor ich den Output fiir das Data Paper
generiere. Wenn ihr das lokalisieren kénnt, dann wére hier vielleicht wirklich ein hotfix gut — oder kann ich mit der nightly auf der
Nepenthes Datenbank arbeiten?

Herzlichen Gruf3
Walter

login : w.berendsohn
editor version : 5.0.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / caryo_nepenthaceae
schema version : 5.0.0.0.20180514
os : Windows 10 10.0 amdé64
java : 1.8.0_161
org.eclipse.ed.core.di.InjectionException: org.hibernate.LazyInitializationException: could not in
itialize proxy - no Session
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:65

at org.eclipse.ed4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java
:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFac
tory.java:132)

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServ
iceHandler. java:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedC
ommand. java:488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (Handler
ServiceImpl. java:210)

at org.eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (H
andledContributionItem. java:433)

at org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidget
Selection (AbstractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEven
t (AbstractContributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.e4d4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin
gEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE
ngine.java:1022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav
a:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher. java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLa
uncher. java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
Caused by: org.hibernate.lLazyInitializationException: could not initialize proxy - no Session

at org.hibernate.proxy.AbstractLazyInitializer.initialize (AbstractLazyInitializer.
java:148)

at org.hibernate.proxy.AbstractlLazyInitializer.getImplementation (AbstractLazyIniti
alizer.java:266)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLaz
yInitializer. java:68)

at eu.etaxonomy.cdm.model.occurrence.DerivationEvent_$$_jvstadd_45.getOriginals (De
rivationEvent_$$_jvstadd_45. java)

at eu.etaxonomy.cdm.api.facade.DerivedUnitFacade.getFieldUnitOriginals (DerivedUnit
Facade. java:654)

at eu.etaxonomy.cdm.api.facade.DerivedUnitFacade.<init> (DerivedUnitFacade.java:221

at eu.etaxonomy.cdm.api.facade.DerivedUnitFacade.NewInstance (DerivedUnitFacade. jav
a:160)

at eu.etaxonomy.cdm.api.facade.DerivedUnitFacadeCacheStrategy.getTitleCache (Derive
dUnitFacadeCacheStrategy. java:58)

at eu.etaxonomy.cdm.api.facade.DerivedUnitFacadeCacheStrategy.getTitleCache (Derive
dUnitFacadeCacheStrategy.java:45)

at eu.etaxonomy.cdm.api.facade.DerivedUnitFacadeCacheStrategy.getTitleCache (Derive
dUnitFacadeCacheStrategy.java:28)

at eu.etaxonomy.cdm.model.common.IdentifiableEntity.generateTitle (IdentifiableEnti
ty.Jjava:581)

at eu.etaxonomy.cdm.persistence.hibernate.CdmPreDataChangelListener.generateCaches (
CdmPreDataChangelListener.java:147)

at eu.etaxonomy.cdm.persistence.hibernate.CacheStrategyGenerator.saveOrUpdateOrMer
ge (CacheStrategyGenerator. java:48)

at eu.etaxonomy.cdm.persistence.hibernate.CacheStrategyGenerator.onSaveOrUpdate (Ca
cheStrategyGenerator. java:33)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:61)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.cascadeOnUpdate (D
efaultSaveOrUpdateEventListener. java:358)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performUpdate (Def
aultSaveOrUpdateEventListener. java:332)
at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (
DefaultSaveOrUpdateEventListener. java:227)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpda
te (DefaultSaveOrUpdateEventListener. java:92)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (De
faultSaveOrUpdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade.java:43

at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:363)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:326)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:61)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.cascadeOnUpdate (D
efaultSaveOrUpdateEventListener.java:358)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performUpdate (Def
aultSaveOrUpdateEventListener. java:332)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (
DefaultSaveOrUpdateEventListener. java:227)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpda
te (DefaultSaveOrUpdateEventListener. java:92)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (De
faultSaveOrUpdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:61)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.cascadeOnUpdate (D
efaultSaveOrUpdateEventListener.java:358)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performUpdate (Def
aultSaveOrUpdateEventListener. java:332)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (
DefaultSaveOrUpdateEventListener. java:227)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpda
te (DefaultSaveOrUpdateEventListener. java:92)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (De
faultSaveOrUpdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:635)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.saveCdmObjec
t_ (CdmEntityDaoBase. java:120)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.saveAll (CdmE
ntityDaoBase. java:139)

at eu.etaxonomy.cdm.api.service.ServiceBase.save (ServiceBase. java:268)

at sun.reflect.GeneratedMethodAccessorl30471.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtil
s.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Re
flectiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWit
hInvocation (TransactionInterceptor.java:99)

03/20/2024 3/6




at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWith
inTransaction (TransactionAspectSupport.java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (Trans
actionInterceptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:208)

at com.sun.proxy.S$Proxyl883.save (Unknown Source)

at sun.reflect.GeneratedMethodAccessorl30471.1invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtil
s.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Re
flectiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:157)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (Re
moteInvocationTraceInterceptor. java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:208)

at com.sun.proxy.S$Proxy2260.save (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. j
ava:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (Def
aultRemoteInvocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (Remot
eInvocationBasedExporter.java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCre
ateResult (RemoteInvocationBasedExporter. java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleReque
st (HttpInvokerServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpReques
tHandlerAdapter. java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.
java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.j
ava:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServle
t.java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:8

71)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:
845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. ja
va:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.inv
oke (FilterSecurityInterceptor. java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doF
ilter (FilterSecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy. java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (Exc
eptionTranslationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (Sessi
onManagementFilter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFi
lter.doFilter (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (
RequestCacheAwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.d
oFilterInternal (BasicAuthenticationFilter.java:213)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilt
er.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

Associated revisions

Revision 26¢c98f0 - 06/13/2018 12:57 PM - Katja Luther
fix #7472: fix lazy loading exceptions for MAN with type specimen

Revision f63b9efb - 06/19/2018 04:18 PM - Katja Luther

fix #7472: always merge taxon relations in name editor before merging

History

#1 - 06/13/2018 01:00 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|26cc98f0fe93d159407c4ee093034ae1360b6755.

#2 - 06/13/2018 01:01 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please review if everything is solved now.

#3 - 06/18/2018 01:03 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Lutz Suhrbier

- % Done changed from 50 to 100

| could not created an exception anymore with my test data. However, | did not test with a copy from production so it is not yet clear if my tests
covered the same data.

But | think we can close this and open a new ticket if some similar issues still appear in next version.

#4 - 06/18/2018 01:03 PM - Andreas Miiller

- Assignee changed from Lutz Suhrbier to Katja Luther

#5 - 06/19/2018 03:54 PM - Andreas Miiller
- Status changed from Closed to Feedback

Now, changes in misapplied names and pro parte synonyms are not persisted anymore so | have to reopen tickets. If this is not related to this ticket,
please close again and create new ticket.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/26cc98f0fe93d159407c4ee093034ae1360b6755

#6 - 06/19/2018 04:18 PM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 100 to 50

Applied in changeset taxeditor|f63b9efba7c845673c35fd732e4cba7056c081ce.

#7 - 06/19/2018 04:22 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

please review

#8 - 06/19/2018 05:30 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

Saving works now and | also could not reproduce the old LLE anymore (though difficult to test).

=> close ticket.
